import React, {Component} from 'react'
import {AtButton, AtFloatLayout, AtForm, AtInputNumber} from "taro-ui"

import "taro-ui/dist/style/components/float-layout.scss";
import "taro-ui/dist/style/components/button.scss"
import "taro-ui/dist/style/components/form.scss";
import "taro-ui/dist/style/components/input-number.scss";
import "taro-ui/dist/style/components/icon.scss";
import MyTitle from "../MyTitle/MyTitle";
import {Text, View} from "@tarojs/components";
import './FloatLayout.scss'
import MyMap from "../MyMap/MyMap";

class FloatLayout extends Component {
  state = {
    value: ''
  }

  handleValueChange(value) {
    this.setState({
      value: value
    })
  }

  handleTitleChange(title) {

  }

  handleContentChange(content) {

  }

  render() {
    return (
      <AtFloatLayout
        isOpened={this.props.isOpened}
        title={this.props.title}
      >
        <View className={'index-form'}>
          <MyTitle title={"交易价格"}/>
          <View className={'float-value'}>
            <Text>
              {this.props.value + '元'}
            </Text>
          </View>
          <MyTitle title={"交易功率"}/>
          <View className={'float-value'}>
            <Text>
              {this.props.www + ' W'}
            </Text>
          </View>
          <MyTitle title={"发布者联系方式"}/>
          <View className={'float-value'}>
            <Text>
              {this.props.contact}
            </Text>
          </View>
          <MyTitle title={"交易描述"}/>
          <View className={'float-value'}>
            <Text>
              {this.props.content}
            </Text>
          </View>
          <MyTitle title={"发电地址"}/>
          <View className={'float-map'}>
            <MyMap/>
          </View>
          <MyTitle title={"购买功率(单位：W)"}/>
          <View className={'float-form-num'}>
            <AtInputNumber
              type={'number'}
              min={0}
              max={this.props.www}
              step={100}
              width={450}
              value={this.state.value}
              onChange={this.handleValueChange.bind(this)}
            />
          </View>
          <View className={'float-form-button'}>
            <AtButton type={'primary'}>购买电力</AtButton>
          </View>
        </View>
      </AtFloatLayout>
    )
  }
}

export default FloatLayout;
