import React, {Component} from 'react'
import {AtCard} from "taro-ui";
import FloatLayout from "../FloatLayout/FloatLayout";
import {View} from "@tarojs/components";
import './TradeCard.scss'

class TradeCard extends Component {
  state = {
    isOpened: false,
  }

  handleCardClick = () => {
    this.setState({
      isOpened: true
    })
  }

  render() {
    return (
      <View className={'shop-card'}>
        <AtCard
          note={'价格：' + this.props.ele.value + '元'}
          title={this.props.ele.title}
          extra={'>>'}
          onClick={this.handleCardClick}
        >
          {
            this.props.ele.content
          }
        </AtCard>
        <FloatLayout
          isOpened={this.state.isOpened}
          title={this.props.ele.title}
          content={this.props.ele.content}
          value={this.props.ele.value}
          contact={this.props.ele.contact}
          www={this.props.ele.www}
        />
      </View>
    )
  }
}

export default TradeCard;
