import React, {Component} from "react";
import {Text, View} from "@tarojs/components";
import MyTitle from "../../components/MyTitle/MyTitle";
import {AtAvatar, AtCard, AtDivider} from 'taro-ui'
import './account.scss'

import "taro-ui/dist/style/components/avatar.scss";
import "taro-ui/dist/style/components/divider.scss";
import "taro-ui/dist/style/components/card.scss";
import InitComponent from "../../components/InitComponent/InitComponent";
import TradeCard from "../../components/TradeCard/TradeCard";

class account extends Component {
  state = {
    products: [
      {
        title: '河南·新乡市·卫辉市 风力发电',
        value: 7000,
        content: '采用风力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www:'100'
      },
      {
        title: '安徽·巢湖市 水力发电',
        value: 5500,
        content: '采用水力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www:'1050'
      },
      {
        title: '安徽·巢湖市 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www:'15000'
      },
      {
        title: '江苏·扬州市·邗江区 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www:'20000'
      }]
  }

  renderProductList(Products) {
    return Products.map((ele, index) => {
      return (
        <TradeCard
          ele={ele}
        />
      )
    })
  }

  render() {
    return (
      <View className={'account-view'}>
        <InitComponent/>
        <MyTitle title={'个人信息'}/>
        <View className={'account-avatar'}>
          <AtAvatar
            size={'large'}
            circle
            image='https://img1.baidu.com/it/u=4106295116,717584435&fm=253&fmt=auto&app=120&f=JPEG?w=542&h=500'/>
        </View>
        <View className={'account-name'}>
          <Text>
            有喵的柴
          </Text>
        </View>
        <AtDivider content='我发布的交易' lineColor={'#cccccc'} fontColor={'#cccccc'}/>
        {
          this.renderProductList(this.state.products)
        }
      </View>
    )
  }
}

export default account;
